﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="lease.aspx.cs" Inherits="test_scrolling_lease" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
			<telerik:RadScriptManager ID="rdScriptManager" runat="server"></telerik:RadScriptManager>
			<table class="usageCenterMargin">
				<tr>
					<td class="usageHeader">Organization Info</td>
				</tr>
			</table>
			<table class="usagebody">
				<tr>
					<td style="height: 15px"></td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Organization Type:</td>
					<td>
						<asp:DropDownList ID="ddlOrgType" runat="server"></asp:DropDownList>
						<asp:RequiredFieldValidator ID="valOrgType" runat="server" ControlToValidate="ddlOrgType" ErrorMessage="**" ForeColor="Firebrick" InitialValue="0" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Event Type:</td>
					<td>
						<asp:TextBox ID="txtEventType" runat="server" Width="220px" MaxLength="20"></asp:TextBox>
						<asp:RequiredFieldValidator ID="valEventType" runat="server" ControlToValidate="txtEventType" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Organization Name:</td>
					<td>
						<asp:TextBox ID="txtOrgName" runat="server" Width="220px" MaxLength="30"></asp:TextBox>
						<asp:RequiredFieldValidator ID="valOrgName" runat="server" ControlToValidate="txtOrgName" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Organization Phone:</td>
					<td>
						<asp:TextBox ID="txtOrgPhone" runat="server" Width="220px" MaxLength="12"></asp:TextBox>
						<asp:RequiredFieldValidator ID="valOrgPhone" runat="server" ControlToValidate="txtOrgPhone" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Organization Address:</td>
					<td>
						<asp:TextBox ID="txtAddress" runat="server" Width="220px" MaxLength="25"></asp:TextBox>
						<asp:RequiredFieldValidator ID="valAddress" runat="server" ControlToValidate="txtAddress" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Organization City:</td>
					<td>
						<asp:TextBox ID="txtCity" runat="server" Width="120px" MaxLength="25"></asp:TextBox>
						<asp:RequiredFieldValidator ID="valCity" runat="server" ControlToValidate="txtCity" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
						State:
						<asp:TextBox ID="txtState" runat="server" Width="40px" MaxLength="2"></asp:TextBox>
						<asp:RequiredFieldValidator ID="valState" runat="server" ControlToValidate="txtState" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
						Zip:
						<telerik:RadNumericTextBox ID="txtZip" runat="server" Width="80px" MaxLength="5" NumberFormat-AllowRounding="false" NumberFormat-GroupSizes="5" NumberFormat-DecimalDigits="0" />
						<asp:RequiredFieldValidator ID="valZip" runat="server" ControlToValidate="txtZip" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Alcohol Served:</td>
					<td>
						<asp:RadioButtonList ID="rblAlcohol" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
							<asp:ListItem Value="1" Text="YES   "></asp:ListItem>
							<asp:ListItem Value="0" Text="NO"></asp:ListItem>
						</asp:RadioButtonList>
						<asp:RequiredFieldValidator ID="valAlcohol" runat="server" ControlToValidate="rblAlcohol" ErrorMessage="**" InitialValue="" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Gratis Lease:</td>
					<td>
						<asp:RadioButtonList ID="rblGratis" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
							<asp:ListItem Value="1" Text="YES   "></asp:ListItem>
							<asp:ListItem Value="0" Text="NO"></asp:ListItem>
						</asp:RadioButtonList>
						<asp:RequiredFieldValidator ID="valGratis" runat="server" ControlToValidate="rblGratis" InitialValue="" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right; vertical-align: top">Gratis Reason:</td>
					<td>
						<asp:TextBox ID="txtGratis" runat="server" Width="400px" Height="40px" TextMode="MultiLine"></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Facility Fee:</td>
					<td>
						<telerik:RadNumericTextBox ID="txtLeaseAmount" runat="server" Width="80px" MaxLength="8" NumberFormat-DecimalDigits="2"></telerik:RadNumericTextBox>
						<asp:RequiredFieldValidator ID="valLeaseAmt" runat="server" ControlToValidate="txtLeaseAmount" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
						Custodial Fees:
						<telerik:RadNumericTextBox ID="txtWorkerAmount" runat="server" Width="80px" MaxLength="8" NumberFormat-DecimalDigits="2"></telerik:RadNumericTextBox>
						<asp:RequiredFieldValidator ID="valWorkerAmt" runat="server" ControlToValidate="txtWorkerAmount" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="height: 15px"></td>
				</tr>
			</table>
			<table class="usageCenter">
				<tr>
					<td class="usageHeader">Lease Specifics</td>
				</tr>
			</table>
			<table class="usagebody">
				<tr>
					<td style="height: 15px"></td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Est. Attendance:</td>
					<td>
						<telerik:RadNumericTextBox ID="txtAttendance" runat="server" Width="80px" MaxLength="4" NumberFormat-AllowRounding="false" NumberFormat-DecimalDigits="4"></telerik:RadNumericTextBox>
						<asp:RequiredFieldValidator ID="valAttendance" runat="server" ControlToValidate="txtAttendance" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Vacate Within:</td>
					<td>
						<telerik:RadNumericTextBox ID="txtVacate" runat="server" Width="80px" MaxLength="1" NumberFormat-AllowRounding="false" NumberFormat-DecimalDigits="1"></telerik:RadNumericTextBox>
						<asp:RequiredFieldValidator ID="valvacate" runat="server" ControlToValidate="txtVacate" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Occurrences:</td>
					<td>
						<asp:DropDownList ID="ddlOccurances" runat="server"></asp:DropDownList>
						<asp:RequiredFieldValidator ID="valOccur" runat="server" ControlToValidate="ddlOccurances" InitialValue="0" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Lease Begin:</td>
					<td>
						<telerik:RadDatePicker ID="dtbegin" runat="server" Width="100px"></telerik:RadDatePicker>
						<asp:RequiredFieldValidator ID="valdtBegin" runat="server" ControlToValidate="dtbegin" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
						Lease End:
						<telerik:RadDatePicker ID="dtEnd" runat="server" Width="100px"></telerik:RadDatePicker>
						<asp:RequiredFieldValidator ID="valdtEnd" runat="server" ControlToValidate="dtEnd" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Time Begin:</td>
					<td>
						<telerik:RadTimePicker ID="dtTimeBegin" runat="server" Width="100px"></telerik:RadTimePicker>
						<asp:RequiredFieldValidator ID="valTimeBegin" runat="server" ControlToValidate="dtTimeBegin" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
						Time End:
						<telerik:RadTimePicker ID="dtTimeEnd" runat="server" Width="100px"></telerik:RadTimePicker>
						<asp:RequiredFieldValidator ID="valTimeEnd" runat="server" ControlToValidate="dtTimeEnd" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="height: 15px"></td>
				</tr>
			</table>
			<table class="usageCenter">
				<tr>
					<td class="usageHeader">Armory Specifics</td>
				</tr>
			</table>
			<table class="usagebody">
				<tr>
					<td style="height: 15px"></td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Armory Portions:</td>
					<td>
						<telerik:RadComboBox ID="ddlPortion" runat="server" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="Pick Armory Portions"></telerik:RadComboBox>
						<asp:RequiredFieldValidator ID="valPortion" runat="server" ControlToValidate="ddlPortion" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right">Armory Provided:</td>
					<td>
						<telerik:RadComboBox ID="ddlProvided" runat="server" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" EmptyMessage="Pick Armory Provisions"></telerik:RadComboBox>
						<asp:RequiredFieldValidator ID="valProvided" runat="server" ControlToValidate="ddlProvided" ErrorMessage="**" ForeColor="Firebrick" SetFocusOnError="true" />
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right; vertical-align: top">Changes to Leased Portion:</td>
					<td>
						<asp:TextBox ID="txtLeasedPortion" runat="server" Width="400px" Height="40px" TextMode="MultiLine"></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right; vertical-align: top">Remarks:</td>
					<td>
						<asp:TextBox ID="txtRemarks" runat="server" Width="400px" Height="40px" TextMode="MultiLine"></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td style="width: 25%; text-align: right"></td>
					<td>
						<asp:LinkButton ID="lnkDraft" runat="server" Text="Draft" ToolTip="Use this to save Lease Until Leasee comes to sign agreement"></asp:LinkButton>

						<asp:LinkButton ID="lnkSubmit" runat="server" Text="Submit" ToolTip="Lease will not be able to be changed after submitted"></asp:LinkButton>

						<asp:LinkButton ID="lnkCancel" runat="server" Text="Cancel" ToolTip="Close page and save nothing"></asp:LinkButton>
					</td>
				</tr>
				<tr>
					<td style="height: 15px"></td>
				</tr>
			</table>
			<asp:HiddenField ID="HFArmory" runat="server" />
			<asp:HiddenField ID="HFLeaseId" runat="server" />
		</form>
	</body>
</html>
